Index: trunk/import/sichten.sql
===================================================================
--- trunk/import/sichten.sql	(revision 275)
+++ trunk/import/sichten.sql	(revision 276)
@@ -896,60 +369,46 @@
      AND bss.beziehungsart in ('an','zu')        -- B-Stelle herr.  >> B-Stelle dien.
      AND bsf.beziehungsart = 'istGebucht'        -- Flurstueck      >> B-Stelle dien
-     AND p.endet IS NULL
-     AND n.endet IS NULL
-     AND g.endet IS NULL
-     AND b.endet IS NULL
-     AND sh.endet IS NULL
-     AND sd.endet IS NULL
-     AND f.endet IS NULL
-     AND k.endet IS NULL
-   ORDER BY   
-         k.bezeichnung,
-         f.flurnummer,
-         f.zaehler,
-         f.nenner,
-         g.bezirk, 
-         g.buchungsblattnummermitbuchstabenerweiterung,
-         sh.laufendenummer 
-;
-
-CREATE OR REPLACE VIEW beziehungen_redundant 
-AS
-SELECT *
- FROM alkis_beziehungen AS bezalt
- WHERE EXISTS
-       (SELECT ogc_fid
-         FROM alkis_beziehungen AS bezneu
-        WHERE bezalt.beziehung_von = bezneu.beziehung_von
-          AND bezalt.beziehung_zu  = bezneu.beziehung_zu
-          AND bezalt.beziehungsart = bezneu.beziehungsart
-          AND bezalt.ogc_fid       < bezneu.ogc_fid
-        );
-
-COMMENT ON VIEW beziehungen_redundant IS 'alkis_beziehungen zu denen es eine identische neue Version gibt.';
-
-
-CREATE OR REPLACE VIEW beziehungen_redundant_in_delete
-AS
-SELECT *
- FROM alkis_beziehungen AS bezalt
- WHERE EXISTS
-       (SELECT ogc_fid
-         FROM alkis_beziehungen AS bezneu
-        WHERE bezalt.beziehung_von = bezneu.beziehung_von
-          AND bezalt.beziehung_zu  = bezneu.beziehung_zu
-          AND bezalt.beziehungsart = bezneu.beziehungsart
-          AND bezalt.ogc_fid       < bezneu.ogc_fid
-        )
-     -- mit dem Zusatz nur die Faelle aus dem letzten Durchlauf,
-     -- die aktuell noch in der Delet-Tabelle stehen
-     AND EXISTS
-        (SELECT ogc_fid
-         FROM delete
-         WHERE bezalt.beziehung_von = substr(featureid, 1, 16)
-            OR bezalt.beziehung_zu  = substr(featureid, 1, 16)
-        );
-
-COMMENT ON VIEW beziehungen_redundant_in_delete IS 'alkis_beziehungen zu denen es eine identische neue Version gibt und wo das Objekt noch in der delete-Tabelle vorkommt.';
+     AND p.endet IS NULL AND n.endet IS NULL AND g.endet IS NULL AND b.endet IS NULL
+     AND sh.endet IS NULL AND sd.endet IS NULL AND f.endet IS NULL AND k.endet IS NULL
+   ORDER BY k.bezeichnung, f.flurnummer, f.zaehler, f.nenner, g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung, sh.laufendenummer;
+COMMENT ON VIEW rechte_eines_eigentuemers IS 'Muster fÃŒr Export: Suchkriteriumnach Bedarf anpassen. Dies ergÃ€nzt "flurstuecke_eines_eigentuemers" um die FÃ€lle mit besonderen Buchungen.';
+
+-- Die 2 Views nur fuer Entwicklung: 
+
+-- 	CREATE OR REPLACE VIEW beziehungen_redundant 
+-- 	AS
+-- 	 SELECT *
+-- 	   FROM alkis_beziehungen AS bezalt
+-- 	   WHERE EXISTS
+-- 		   (SELECT ogc_fid
+-- 			 FROM alkis_beziehungen AS bezneu
+-- 			WHERE bezalt.beziehung_von = bezneu.beziehung_von
+-- 			  AND bezalt.beziehung_zu  = bezneu.beziehung_zu
+-- 			  AND bezalt.beziehungsart = bezneu.beziehungsart
+-- 			  AND bezalt.ogc_fid       < bezneu.ogc_fid
+-- 			);
+-- 	COMMENT ON VIEW beziehungen_redundant IS 'Datenanalyse: alkis_beziehungen zu denen es eine identische neue Version gibt. Fehlersuche bei PostNAS-Trigger fÃŒr Replace.';
+--
+-- 	CREATE OR REPLACE VIEW beziehungen_redundant_in_delete
+-- 	AS
+-- 	SELECT *
+-- 	 FROM alkis_beziehungen AS bezalt
+-- 	 WHERE EXISTS
+-- 		   (SELECT ogc_fid
+-- 			 FROM alkis_beziehungen AS bezneu
+-- 			WHERE bezalt.beziehung_von = bezneu.beziehung_von
+-- 			  AND bezalt.beziehung_zu  = bezneu.beziehung_zu
+-- 			  AND bezalt.beziehungsart = bezneu.beziehungsart
+-- 			  AND bezalt.ogc_fid       < bezneu.ogc_fid
+-- 			)
+-- 		 -- mit dem Zusatz nur die Faelle aus dem letzten Durchlauf,
+-- 		 -- die aktuell noch in der Delete-Tabelle stehen
+-- 		 AND EXISTS
+-- 			(SELECT ogc_fid
+-- 			 FROM delete
+-- 			 WHERE bezalt.beziehung_von = substr(featureid, 1, 16)
+-- 				OR bezalt.beziehung_zu  = substr(featureid, 1, 16)
+-- 			);
+-- 	COMMENT ON VIEW beziehungen_redundant_in_delete IS 'Datenanalyse: alkis_beziehungen zu denen es eine identische neue Version gibt und wo das Objekt noch in der delete-Tabelle vorkommt. Fehlersuche bei PostNAS-Trigger fÃŒr Replace.';
 
 
@@ -970,9 +429,9 @@
 -- Noch einfacher? - Auch ohne JOIN wird das selbe Ergebnis geliefert.
 -- Doppelte Verweise zÃ€hlen ohne zu prÃŒfen, ob die gml_id in ax_flurstueck existiert.
---  SELECT b.beziehung_von, count(b.ogc_fid) AS anzahl
---    FROM alkis_beziehungen b
---   WHERE b.beziehungsart = 'istGebucht'
---  GROUP BY b.beziehung_von
---  HAVING count(b.ogc_fid) > 1;
+--   SELECT b.beziehung_von, count(b.ogc_fid) AS anzahl
+--     FROM alkis_beziehungen b
+--    WHERE b.beziehungsart = 'istGebucht'
+--   GROUP BY b.beziehung_von
+--   HAVING count(b.ogc_fid) > 1;
 
 COMMENT ON VIEW mehrfache_buchung_zu_fs IS 'Nach replace von ax_flurtstueck mit einer neuen ax_buchungsstelle bleibt die alte Verbindung in alkis_beziehungen';
